Skip to main content

Standalone Credits


This section describes how to process a stand-alone credit. A stand-alone credit processes a credit with no reference to a previous transaction. The amount for a stand-alone credit is not limited, because there is no reference to an original transaction amount. The customer must present a payment card for this type of credit.

Endpoints

POST /pts/v2/credits/

POST /pts/v2/credits/

Example

{  "clientReferenceInformation": {    "code": "test123",    "transactionId": "11223344",    "partner": {      "thirdPartyCertificationNumber": "testTPCN"    }  },  "processingInformation": {    "commerceIndicator": "retail"  },  "paymentInformation": {    "card": {      "type": "001"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "9900.00",      "currency": "USD"    }  },  "pointOfSaleInformation": {    "terminalId": "87654321",    "entryMode": "contactless",    "terminalCapability": "4",    "terminalPinCapability": "0",    "emv": {      "tags": "5F2A02084082025800950542800480009A032907259C01209F02060000009900009F100706011203A000009F1A0208409F1E08364B3335303633379F26084F674AF82F5566BD9F330360F0E89F360223019F370479E0A7B59F2701809F34030203005F340101",      "cardSequenceNumber": "01"    },    "trackData": ";4xxxxxxxxxxx0119=29122011758928889?"  },  "merchantInformation": {    "transactionLocalDateTime": "20230724085022"  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/credits/6663069906146706403954/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/credits/6663069906146706403954"    }  },  "clientReferenceInformation": {    "code": "1666306990717"  },  "creditAmountDetails": {    "currency": "eur",    "creditAmount": "100.00"  },  "id": "6663069906146706403954",  "orderInformation": {    "amountDetails": {      "currency": "eur"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "processorInformation": {    "approvalCode": "888888",    "responseCode": "100"  },  "reconciliationId": "66490108K9CLFJPN",  "status": "PENDING",  "submitTimeUtc": "2022-10-20T23:03:10Z"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId—
merchantInformation.transactionLocalDateTime—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
pointOfSaleInformation.emv.tags—
pointOfSaleInformation.entryMode—
pointOfSaleInformation.terminalCapability—
pointOfSaleInformation.terminalPinCapability—
pointOfSaleInformation.trackData—
processingInformation.commerceIndicator—

Last published: September 29, 2026